VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Vcenter::Datacenter Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Datacenter:

## Classes
class | CreateSpec
class | FilterSpec
class | Info
class | Summary

## Avaliable Methods
public method | create ()
public method | get ()
public method | delete ()
public method | new ()
public method | list ()

## Detailed Description

The `Com::Vmware::Vcenter::Datacenter` interface provides methods to manage datacenters in the vCenter Server. Constant String::RESOURCE_TYPE # The resource type for the vCenter Datacenter

## Member Function Documentation

public method Com::Vmware::Vcenter::Datacenter::create | ( |  | ) |

Create a new datacenter in the vCenter inventory

Parameters

  spec | [REQUIRED] Specification for the new datacenter to be created. . The value must be Com::Vmware::Vcenter::Datacenter::CreateSpec.

Return values

  The | identifier of the newly created datacenter The value will be an identifier for the resource type getQualifiedName(Datacenter). The return type will be str

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | if the system reports an error while responding to the request.
  Com::Vmware::Vapi::Std::Errors::AlreadyExists | if the datacenter with the same name is already present.
  Com::Vmware::Vapi::Std::Errors::InvalidArgument | if the datacenter name is empty or invalid as per the underlying implementation.
  Com::Vmware::Vapi::Std::Errors::InvalidArgument | if the folder is not specified and the system cannot choose a suitable one.
  Com::Vmware::Vapi::Std::Errors::NotFound | if the datacenter folder cannot be found.
  Com::Vmware::Vapi::Std::Errors::ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  Com::Vmware::Vapi::Std::Errors::Unauthenticated | if the user can not be authenticated.
  Com::Vmware::Vapi::Std::Errors::Unauthorized | if the user doesn't have the required privileges.

Code:
click to view
# Number of lines of code in create: 10
sub create {
my ($self, %args) = @_;
my $spec = $args {spec};
$self->validate_args (method_name => 'create',
method_args => \%args);
return $self->invoke (method_name => 'create',
method_args => \%args);
}

public method Com::Vmware::Vcenter::Datacenter::delete | ( |  | ) |

Delete an empty datacenter from the vCenter Server

Parameters

  datacenter | [REQUIRED] Identifier of the datacenter to be deleted. The value must be an identifier for the resource type getQualifiedName(Datacenter). . The value must be str.
  force | [OPTIONAL] If true, delete the datacenter even if it is not empty. If null a class Com::Vmware::Vapi::Std::Errors::ResourceInUse error will be reported if the datacenter is not empty. This is the equivalent of passing the value false. . The value must be Boolean or None.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | if the system reports an error while responding to the request.
  Com::Vmware::Vapi::Std::Errors::NotFound | if there is no datacenter associated with `datacenter` in the system.
  Com::Vmware::Vapi::Std::Errors::ResourceInUse | if the datacenter associated with `datacenter` is not empty.
  Com::Vmware::Vapi::Std::Errors::ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  Com::Vmware::Vapi::Std::Errors::Unauthenticated | if the user can not be authenticated.
  Com::Vmware::Vapi::Std::Errors::Unauthorized | if the user doesn't have the required privileges.

Code:
click to view
# Number of lines of code in delete: 11
sub delete {
my ($self, %args) = @_;
my $datacenter = $args {datacenter};
my $force = $args {force};
$self->validate_args (method_name => 'delete',
method_args => \%args);
return $self->invoke (method_name => 'delete',
method_args => \%args);
}

public method Com::Vmware::Vcenter::Datacenter::get | ( |  | ) |

Retrieves information about the datacenter corresponding to `datacenter` .

Parameters

  datacenter | [REQUIRED] Identifier of the datacenter. The value must be an identifier for the resource type getQualifiedName(Datacenter). . The value must be str.

Return values

  The | class Com::Vmware::Vcenter::Datacenter::Info instances that corresponds to the `datacenter` . The return type will be Com::Vmware::Vcenter::Datacenter::Info

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | if the system reports an error while responding to the request.
  Com::Vmware::Vapi::Std::Errors::NotFound | if there is no datacenter associated with `datacenter` in the system.
  Com::Vmware::Vapi::Std::Errors::ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  Com::Vmware::Vapi::Std::Errors::Unauthenticated | if the user can not be authenticated.
  Com::Vmware::Vapi::Std::Errors::Unauthorized | if the user doesn't have the required privileges.

Code:
click to view
# Number of lines of code in get: 10
sub get {
my ($self, %args) = @_;
my $datacenter = $args {datacenter};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Vcenter::Datacenter::list | ( |  | ) |

Returns information about at most 1000 visible (subject to permission checks) datacenters in vCenter matching the class Com::Vmware::Vcenter::Datacenter::FilterSpec .

Parameters

  filter | [OPTIONAL] Specification of matching datacenters for which information should be returned. If null , the behavior is equivalent to a class Com::Vmware::Vcenter::Datacenter::FilterSpec with all fields null which means all datacenters match the filter. . The value must be Com::Vmware::Vcenter::Datacenter::FilterSpec or None.

Return values

  Commonly | used information about the datacenters matching the class Com::Vmware::Vcenter::Datacenter::FilterSpec . The return type will be Array of Com::Vmware::Vcenter::Datacenter::Summary

Exceptions

  Com::Vmware::Vapi::Std::Errors::UnableToAllocateResource | if more than 1000 datacenters match the class Com::Vmware::Vcenter::Datacenter::FilterSpec .
  Com::Vmware::Vapi::Std::Errors::ServiceUnavailable | if the system is unable to communicate with a service to complete the request.
  Com::Vmware::Vapi::Std::Errors::Unauthenticated | if the user can not be authenticated.
  Com::Vmware::Vapi::Std::Errors::Unauthorized | if the user doesn't have the required privileges.

Code:
click to view
# Number of lines of code in list: 10
sub list {
my ($self, %args) = @_;
my $filter = $args {filter};
$self->validate_args (method_name => 'list',
method_args => \%args);
return $self->invoke (method_name => 'list',
method_args => \%args);
}

public method Com::Vmware::Vcenter::Datacenter::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Datacenter.pm